### Encoding: latin1

### Name: fitInteral
### Title: Functions used in connection with fitting of RCOX models
### Aliases: scoring scoring.rcox ipm ipm.rcon ipm.rcor matching
###   matching.rcon matching.rcor rconIPM rcorIPM rconScoreMatch
###   rcorScoreMatch rconScoreTheta rcorScoreTheta fitIPSedge fitIPSset
###   fitNR2 fitNR modNewt refitA
### Keywords: internal

### ** Examples

gm  = ~al:an:st
vcc = list(~me+st, ~ve+an, ~al)
ecc = list(~me:ve+me:al, ~ve:al+al:st)
data(math)

m1 <- rcox(gm=gm, vcc=vcc, ecc=ecc, data=math, fit=FALSE)
f1 <- matching(m1)

## Use f1$K as starting value
scoring(m1, K0=f1$K)
ipm(m1, K0=f1$K)




